Subject: [bug#32162] FW: [bug#32162] [PATCH] gnu: Add nethack

From: Anonymous <[email-masked]>
Date: Tue, 17 Jul 2018 14:08:03 -0700

On 7/17/18, 2:07 PM, "Anonymous" <[email-masked]> wrote:

    On 7/17/18, 2:00 PM, "Ludovic Court=C3=A8s" <[email-masked]> wrote:
    
        Anonymous <[email-masked]> skribis:
        
        >> Rather:
        >>
        >>   (for-each (lambda (file)
        >>               (install-file file
        >>                             (string-append … "/games/lib/nethackuserdir")))
        >>             '(…))
        >
        > I wasn't able to use install-file, since I want the file to be moved, not
        > copied. Let me know if there's a guile way to move a file (I couldn't find
        > one).
        
        You could use ‘rename-file’, which works like rename(2) in C.
    
    Unfortunately, rename-file doesn't appear to work on directories, and at
    least "save" is a directory. Is it worth trying to address this, or is using "mv" ok?